import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRCommodityTariffClusterDayPatternStruct extends _NSObject {
    static alloc(): _MTRCommodityTariffClusterDayPatternStruct;
    static new(): _MTRCommodityTariffClusterDayPatternStruct;
    init(): _MTRCommodityTariffClusterDayPatternStruct;
    dayPatternID(): _NSNumber;
    setDayPatternID$(value: _NSNumber): void;
    daysOfWeek(): _NSNumber;
    setDaysOfWeek$(value: _NSNumber): void;
    dayEntryIDs(): _NSArray;
    setDayEntryIDs$(value: _NSArray): void;
}
export interface _MTRCommodityTariffClusterDayPatternStruct extends _NSCopying {
}
